explain_getpriority_or_die(3)

NAME
explain_getpriority_or_die - get program scheduling priority and report errors

SYNOPSIS
#include <libexplain/getpriority.h>

int explain_getpriority_or_die(int which, int who);
int explain_getpriority_on_error(int which, int who);

DESCRIPTION
The explain_getpriority_or_die function is used to call the getpriority(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_getpriority(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_getpriority_on_error function is used to call the getpriority(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_getpriority(3) function, but still returns to the caller.

which
    The which, exactly as to be passed to the getpriority(2) system call.

who The who, exactly as to be passed to the getpriority(2) system call.

RETURN VALUE
The explain_getpriority_or_die function only returns on success, see getpriority(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_getpriority_on_error function always returns the value return by the wrapped getpriority(2) system call.

EXAMPLE
The explain_getpriority_or_die function is intended to be used in a fashion similar to the following example:
    int result = explain_getpriority_or_die(which, who);

SEE ALSO

getpriority(2)
    get program scheduling priority

explain_getpriority(3)
    explain getpriority(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2013 Peter Miller